<?php

namespace Drupal\merlinone;

/**
 * Provides the MerlinOne API.
 */
interface MerlinOneApiInterface {

  /**
   * Sets the Archive URL.
   *
   * @param string $url
   *   The archive base URL.
   */
  public function setArchiveUrl($url);

  /**
   * Gets the Archive URL.
   *
   * @return string
   *   The archive base URL.
   */
  public function getArchiveUrl();

  /**
   * Gets the API base URL.
   *
   * @return string
   *   The API base URL.
   */
  public function getApiBaseUrl();

  /**
   * Gets the MX embed URL.
   *
   * @return string
   *   The MX embed URL.
   */
  public function getMxUrl();

  /**
   * Fetches a remote file from the Merlin API.
   *
   * @param mixed $item
   *   Item information from the Merlin search.
   * @param mixed $transaction
   *   Transaction information from the Merlin search.
   * @param string $directory
   *   Destination directory.
   *
   * @return \Drupal\file\FileInterface
   *   A managed file
   */
  public function createFileFromItem($item, $transaction, $directory);

}
